# Flow zone presentation

The [rfm_segmentation](flow_zone:aBwza1c) is dedicated to learning and applying the RFM segmentation to your customers.

![rfm_segmentation.png](vUb7I9IpsMqa)

Based on dataset [customer_rfm_inputs](dataset:customer_rfm_inputs), recipe [compute_customer_rfm_segments](recipe:compute_customer_rfm_segments) learns the [RFM scoring method computation techniques](article:14).
Once learned: 
- All customers present in [customer_rfm_inputs](dataset:customer_rfm_inputs) are scored and segmented.
- Other recipes are in charge of aggregating the RFM segmentation data so that it can be more efficiently analyzed in the [RFM Segmentation dashboard](article:46): 
    - [compute_customer_rfm_segments_analysis](recipe:compute_customer_rfm_segments_analysis)
    - [compute_customer_rfm_segments_labels_analysis](recipe:compute_customer_rfm_segments_labels_analysis)
    - [compute_customer_rfm_segments_scores_analysis](recipe:compute_customer_rfm_segments_scores_analysis)
    - [compute_density_analysis](recipe:compute_density_analysis)
    - [compute_frequency_analysis](recipe:compute_frequency_analysis)
    - [compute_monetary_value_analysis](recipe:compute_monetary_value_analysis)
    - [compute_recency_analysis](recipe:compute_recency_analysis)

