# Flow zone presentation

The [rfm_propagation_feature_engineering](flow_zone:VAwCBoR)  analyzes customer behavior over time, specifically focusing on their purchasing habits and how they transition between different segments based on their Recency, Frequency, Monetary value (RFM) scores.
This leads to the dataset [rfm_segmentation_features](dataset:rfm_segmentation_features) containing features about customer RFM information over time. This data could be used in another flow having the intent to make Machine Learning based predictions leveraging customers purchasing behavior information *(See also: [Flow zones / rfm_segmentation_outputs](article:59))*.


![rfm_propagation_feature_engineering.png](rrC5pAqhOol7)
